%define oname		UPower
%define commit		c438511024b9bc5a904f8775cfc8e4c4

%define major		3
%define libname		%mklibname upower-glib %{major}
%define develname	%mklibname -d upower-glib

%define gi_major	1.0
%define girname		%mklibname %{name}-gir %{gi_major}

%define git_url		git://anongit.freedesktop.org/DeviceKit/upower

Name:		upower
Version:	0.99.11
Release:	%mkrel 4
Summary:	Power Management Service
License:	GPLv2+
Group:		System/Kernel and hardware
URL:		http://upower.freedesktop.org/
Source0:	https://gitlab.freedesktop.org/upower/upower/uploads/%{commit}/upower-%{version}.tar.xz
Source1:	org.freedesktop.upower.policy
Source2:	org.freedesktop.upower.qos.policy
Patch0:	    0001-Add-a-critical-action-Ignore.patch
Patch1:	    0001-00git_clamp_percentage.patch
Patch2:     0002-no_deprecation_define.patch
Patch3:     0003-always_use_pm-utils_backend-pclos.patch
Patch4:	    0004-upower-makefile-am-keep-old-pclos.patch
Provides:	%{oname} = %{version}-%{release}
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	glib2-devel
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	libtool
BuildRequires:	intltool
BuildRequires:	gettext
BuildRequires:	lib64usb1.0-devel
BuildRequires:	libxslt-proc
BuildRequires:	docbook-style-xsl
BuildRequires:	gtk-doc >= 1.3
BuildRequires:	gobject-introspection-devel
BuildRequires:	lib64imobiledevice-devel
BuildRequires:	lib64plist-devel

Requires(post):		rpm-helper
Requires(preun):	rpm-helper

%description
%{oname} provides a daemon, API and command line tools for
managing power devices attached to the system.

%package -n	%{libname}
Summary:	Shared Library of %{oname}
Group:		System/Libraries

%description -n	%{libname}
%{oname} provides a daemon, API and command line tools for
managing power devices attached to the system.


%package -n	%{develname}
Summary:	Headers and libraries for %{oname}
Group:		Development/Libraries
Provides:	%{oname}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	lib64usb-compat0.1-devel

%description -n	%{develname}
Development headers and libraries for %{oname}.


%pre
rm -f %_sysconfdir/UPower/UPower.conf
rm -f %{_datadir}/polkit-1/actions/org.freedesktop.upower.policy
rm -f %{_datadir}/polkit-1/actions/org.freedesktop.upower.qos.policy

%prep
%setup -q
%apply_patches

sed -i -e 's|Cflags: |&-DUPOWER_ENABLE_DEPRECATED |' upower-glib.pc.in || die

%build

NOCONFIGURE=1 ./autogen.sh
%configure2_5x \
	    --prefix=/usr \
	    --sysconfdir=/etc \
		--disable-dependency-tracking \
		--enable-gtk-doc=no \
		--disable-static \
		--enable-deprecated \
		--enable-tests \
		--with-udevrulesdir=/lib/udev/rules.d \
		--with-backend=linux \
		--with-systemdutildir=no \
		--with-systemdsystemunitdir=no \
		--disable-rpath

# Disable SMP build, fails to build docs
make

%install
%makeinstall_std

# Remove .la files
find %{buildroot} -name "*.la" -delete

#clean systemd from org..service
sed -i s/'SystemdService=upower.service'// %{buildroot}%{_datadir}/dbus-1/system-services/org.freedesktop.UPower.service

#s1+2
mkdir -p %{buildroot}%{_datadir}/polkit-1/actions/
install -Dpm 0644 %SOURCE1 %{buildroot}%{_datadir}/polkit-1/actions/org.freedesktop.upower.policy
install -Dpm 0644 %SOURCE2 %{buildroot}%{_datadir}/polkit-1/actions/org.freedesktop.upower.qos.policy

%find_lang %{name}

%files -f %{name}.lang
%dir %_sysconfdir/UPower/
%config(noreplace) %_sysconfdir/UPower/UPower.conf
%{_sysconfdir}/dbus-1/system.d/*.conf
%config(noreplace) %{_datadir}/polkit-1/actions/org.freedesktop.upower.policy
%config(noreplace) %{_datadir}/polkit-1/actions/org.freedesktop.upower.qos.policy
/lib/udev/rules.d/*.rules
%{_bindir}/*
%{_libexecdir}/upowerd
%{_mandir}
%{_datadir}/dbus-1/system-services/*.service

%files -n %{libname}
%{_libdir}/libupower-glib.so.%{major}*
%{_libdir}/girepository-1.0/UPowerGlib-%{gi_major}.typelib

%files -n %{develname}
%{_datadir}/dbus-1/interfaces/*.xml
%{_libdir}/libupower-glib.so
%{_libdir}/pkgconfig/upower-glib.pc
%{_datadir}/gir-1.0/UPowerGlib-1.0.gir
%{_includedir}/libupower-glib/


%changelog
* Tue May 04 2021 tex - 0.99.11-4pclos2021
- rebuild against updates

* Sat Dec 07 2019 onkelho <oh.quait at gmail.com> - 0.99.11-3pclos2019
- rebuild against updates-git-fixes and libimobiledevice
- linux: Detect Bluetooth pensHEADmaster	Bastien Nocera	1	-0/+3
- lib: Add "Pen" device type	Bastien Nocera	4	-3/+11
- linux: Add test for Appearance property being missing	Bastien Nocera	1	-0/+44
- linux: Remove unused code in test suite	Bastien Nocera	1	-8/+1
- linux: Fix warning when bluez Appearance property isn't set	Bastien Nocera	1	-4/+9
- linux: Fix memory leak in Bluez backend	Bastien Nocera	1	-4/+13
- trivial: post release version bump

* Sat Sep 14 2019 tex - 0.99.11-2pclos2019
- rebuild against official release

* Mon Aug 19 2019 tex - 0.99.11-1pclos2019
- update from git version

* Sat Aug 17 2019 tex - 0.99.10-1pclos2019
- new version 0.99.10
